org.apache.http.client.protocol

## Class RequestAcceptEncoding

- java.lang.Object
- - org.apache.http.client.protocol.RequestAcceptEncoding

- All Implemented Interfaces:
    org.apache.http.HttpRequestInterceptor

      @Contract(threading=IMMUTABLE)
      public class RequestAcceptEncoding
      extends Object
      implements org.apache.http.HttpRequestInterceptor

  Class responsible for handling Content Encoding requests in HTTP.

  Instances of this class are stateless, therefore they're thread-safe and immutable.

  Since:
    4.1
  See Also:
    "http://www.w3.org/Protocols/rfc2616/rfc2616-sec3.html#sec3.5"

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestAcceptEncoding()`
    `RequestAcceptEncoding(List<String> encodings)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestAcceptEncoding

          public RequestAcceptEncoding(List<String> encodings)

      Since:
        4.4

    - #### RequestAcceptEncoding

          public RequestAcceptEncoding()

  - ### Method Detail

    - #### process

          public void process(org.apache.http.HttpRequest request,
                     org.apache.http.protocol.HttpContext context)
                       throws org.apache.http.HttpException,
                              IOException

      Specified by:
        `process` in interface `org.apache.http.HttpRequestInterceptor`
      Throws:
        `org.apache.http.HttpException`
        `IOException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.